- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Creates a new audit schedule in a given folder and location.
HTTP request
POST https://auditmanager.googleapis.com/v1/{parent=folders/*/locations/*}/auditSchedules
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Project, folder, or organization that this audit schedule is for, in one of the following formats:
|
Query parameters
| Parameters | |
|---|---|
auditScheduleId |
Required. ID to use for the audit schedule, which becomes the final component of the audit schedule's resource name. |
validateOnly |
Optional. If Use this field for the following purposes: * Infrastructure as Code (IaC): Allow tools like Terraform to run dry-run mutations (e.g., |
Request body
The request body contains an instance of AuditSchedule.
Response body
If successful, the response body contains a newly created instance of AuditSchedule.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/cloud-auditmanager
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
auditmanager.auditSchedules.create
For more information, see the IAM documentation.